Bug 1122015 - SHM refclock allows only two units with owner-only access
Summary: SHM refclock allows only two units with owner-only access
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ntp
Version: 6.6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Miroslav Lichvar
QA Contact: Vaclav Danek
URL:
Whiteboard:
Depends On: 1122012
Blocks: 1159824 1085584
TreeView+ depends on / blocked
 
Reported: 2014-07-22 11:10 UTC by Miroslav Lichvar
Modified: 2015-07-22 06:59 UTC (History)
4 users (show)

Fixed In Version: ntp-4.2.6p5-3.el6
Doc Type: Enhancement
Doc Text:
This update introduces configurable access of memory segments used for Shared Memory Driver (SHM) reference clocks. Previously, only the first two memory segments were created with owner-only access, allowing just two SHM reference clocks to be used securely on a system. Now, the owner-only access to SHM is configurable with the "mode" option, and it is therefore possible to use more SHM reference clocks securely.
Clone Of: 1122012
Environment:
Last Closed: 2015-07-22 06:59:58 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1459 normal SHIPPED_LIVE Moderate: ntp security, bug fix, and enhancement update 2015-07-21 14:15:04 UTC
Network Time Protocol 2627 None None None Never

Description Miroslav Lichvar 2014-07-22 11:10:09 UTC
+++ This bug was initially created as a clone of Bug #1122012 +++

Description of problem:
Currently, the permissions of the shared memory segment created by the SHM refclock are set from the unit number. Units 0 and 1 are created with owner-only access, units 2 and above have world access. This is a problem in applications where more units than two are needed and world access would be a security problem.

Upstream bug report with a patch:
http://bugs.ntp.org/show_bug.cgi?id=2627

Version-Release number of selected component (if applicable):
4.2.6p5-18

How reproducible:
Always

Steps to Reproduce:
1. add "server 127.127.28.2" to ntp.conf
2. restart ntpd
3. run ipcs
4. check permission of the memory segment with key 0x4e545032

Actual results:
666

Expected results:
600

Additional info:

Comment 6 errata-xmlrpc 2015-07-22 06:59:58 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1459.html


Note You need to log in before you can comment on or make changes to this bug.